Bug 428092 - kernel BUG at mm/prio_tree.c:373!
kernel BUG at mm/prio_tree.c:373!
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.1
i686 Linux
low Severity medium
: rc
: ---
Assigned To: Larry Woodman
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-09 01:27 EST by Watanabe Takashi
Modified: 2012-06-20 11:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:53:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Watanabe Takashi 2008-01-09 01:27:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; ja; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11

Description of problem:
kernel BUG at mm/prio_tree.c:373 on heavily loaded(swapped) fileserver.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-11.EL

How reproducible:
Sometimes


Steps to Reproduce:
1. create many connections to samba to occur swap
2. fileserver access(write, read, etc...)
3.

Actual Results:
panic

Expected Results:
no panic

Additional info:
stack trace is here:

Jan  9 14:17:56 fjd1ap1  ------------[ cut here ]------------
Jan  9 14:17:56 fjd1ap1  kernel BUG at mm/prio_tree.c:373!
Jan  9 14:17:56 fjd1ap1  invalid operand: 0000 [#1]
Jan  9 14:17:56 fjd1ap1  SMP
Jan  9 14:17:56 fjd1ap1  Modules linked in: initiator4(U) initiator3(U) initiator2(U) initiator1(U) md5 ipv6 parport_pc lp parport
 netconsole autofs4 i2c_dev i2c_core sunrpc fdd(U) vxportal(U) vxfs(U) dmpjbod(U) dmpap(U) dmpaa(U) vxspec(U) vxio(U) vxdmp(U) dm_
mod button battery ac uhci_hcd ehci_hcd e1000 floppy sg ext3 jbd mptscsih mptbase sd_mod scsi_mod
Jan  9 14:17:56 fjd1ap1  CPU:    1
Jan  9 14:17:56 fjd1ap1  EIP:    0060:[<c01416eb>]    Tainted: PF     VLI
Jan  9 14:17:56 fjd1ap1  EFLAGS: 00010287   (2.6.9-11.ELsmp)
Jan  9 14:17:56 fjd1ap1  EIP is at prio_tree_right+0x86/0xca
Jan  9 14:17:56 fjd1ap1  eax: 00000009   ebx: f7d77e60   ecx: 00000000   edx: d9d30938
Jan  9 14:17:56 fjd1ap1  esi: 0000002a   edi: 00000000   ebp: f7d77e44   esp: f7d77e2c
Jan  9 14:17:56 fjd1ap1  ds: 007b   es: 007b   ss: 0068
Jan  9 14:17:56 fjd1ap1  Process kswapd0 (pid: 56, threadinfo=f7d77000 task=f7da38b0)
Jan  9 14:17:56 fjd1ap1  Stack: f7d77e48 f7d77e60 c151e780 df4e9c70 0000001b c0141873 00000000 00000043
Jan  9 14:17:56 fjd1ap1         ebe9aa6c c0141a29 c014dc99 00000000 00000032 d9d30938 00000000 00000000
Jan  9 14:17:56 fjd1ap1         00000009 df4e9c8c 0000002a 0000002a 00000000 c151e780 00000001 00000020
Jan  9 14:17:56 fjd1ap1  Call Trace:
Jan  9 14:17:56 fjd1ap1   [<c0141873>] prio_tree_next+0x5f/0x6b
Jan  9 14:17:56 fjd1ap1   [<c0141a29>] vma_prio_tree_next+0x38/0x4b
Jan  9 14:17:57 fjd1ap1   [<c014dc99>] page_referenced_file+0x8c/0xa4
Jan  9 14:17:57 fjd1ap1   [<c014dd12>] page_referenced+0x61/0x6f
Jan  9 14:17:57 fjd1ap1   [<c0145937>] refill_inactive_zone+0x1d5/0x4a7
Jan  9 14:17:57 fjd1ap1   [<c02c5b43>] schedule_timeout+0xda/0xee
Jan  9 14:17:57 fjd1ap1   [<c02195e4>] blk_congestion_wait+0x6f/0x78
Jan  9 14:17:57 fjd1ap1   [<c011f6ee>] autoremove_wake_function+0x0/0x2d
Jan  9 14:17:57 fjd1ap1   [<c0144db2>] shrink_slab+0x7e/0x161
Jan  9 14:17:57 fjd1ap1   [<c0145c94>] shrink_zone+0x8b/0xb6
Jan  9 14:17:57 fjd1ap1   [<c014609c>] balance_pgdat+0x1b6/0x2f8
Jan  9 14:17:57 fjd1ap1   [<c01462a8>] kswapd+0xca/0xcc
Jan  9 14:17:57 fjd1ap1   [<c011f6ee>] autoremove_wake_function+0x0/0x2d
Jan  9 14:17:57 fjd1ap1   [<c02c7296>] ret_from_fork+0x6/0x14
Jan  9 14:17:57 fjd1ap1   [<c011f6ee>] autoremove_wake_function+0x0/0x2d
Jan  9 14:17:57 fjd1ap1   [<c01461de>] kswapd+0x0/0xcc
Jan  9 14:17:57 fjd1ap1   [<c01041f1>] kernel_thread_helper+0x5/0xb
Jan  9 14:17:57 fjd1ap1  Code: 8b 03 8b 50 04 8b 43 04 89 4b 08 89 13 d1 e8 85 c0 89 43 04 8b 43 0c 74 0a 85 c0 74 48 40 89 43 0c
eb 42 85 c0 74 26 39 12 74 08 <0f> 0b 75 01 66 aa 2d c0 39 52 04 74 08 0f 0b 76 01 66 aa 2d c0
Jan  9 14:17:57 fjd1ap1   <0>Fatal exception: panic in 5 seconds
Comment 1 Larry Woodman 2008-05-12 15:50:43 EDT
Watanabe, there is some sort of corruotion or inconsistancy in the radix tree
and its not possible to find out whats has happened with just a traceback.  Can
you capture a kernel core file and attach it to this BUG so I can look at
exactly what has happened to the VMS and its associated radix tree?

Thanks, Larry Woodman
Comment 2 Jiri Pallich 2012-06-20 11:53:25 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.